curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/catalog/skus/{skuId}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/catalog/skus/{skuId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/catalog/skus/{skuId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "123E4567-E89B-12D3-A456-426614174000",
"title": "MacBook Air 13\" M3 8-Core CPU 10-Core GPU 8GB RAM 512GB SSD - US / English - Space Gray - AU Plug",
"vendorSku": "123E4567-E89B-12D3-A456-426614174000",
"vendorCode": "APPLE",
"isStandardCatalog": true,
"metadata": {},
"pricing": [
{
"regionCode": "EU",
"priceOption": "Subscription or Purchased",
"price": 123.45,
"currencyCode": "EUR",
"countryCodes": "DE",
"firstBaseSupplied": true
}
],
"stock": [
{
"regionCode": "EU",
"countryCodes": "DE",
"availability": [
{
"condition": "NEW or USED",
"count": 1
}
]
}
],
"categoryCode": "COMPUTER",
"categoryNameOfSku": "Computer",
"imageUrl": "https://bucket.s3.amazonaws.com/image.jpg?X-Amz-Expires=86400",
"partNumber": "MZ-1234HG"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Get SKU
Returns pricing and availability details for a single SKU available to the caller’s organization. Returns 404 if the SKU does not exist or is not available to this organization.
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/catalog/skus/{skuId}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/catalog/skus/{skuId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/catalog/skus/{skuId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "123E4567-E89B-12D3-A456-426614174000",
"title": "MacBook Air 13\" M3 8-Core CPU 10-Core GPU 8GB RAM 512GB SSD - US / English - Space Gray - AU Plug",
"vendorSku": "123E4567-E89B-12D3-A456-426614174000",
"vendorCode": "APPLE",
"isStandardCatalog": true,
"metadata": {},
"pricing": [
{
"regionCode": "EU",
"priceOption": "Subscription or Purchased",
"price": 123.45,
"currencyCode": "EUR",
"countryCodes": "DE",
"firstBaseSupplied": true
}
],
"stock": [
{
"regionCode": "EU",
"countryCodes": "DE",
"availability": [
{
"condition": "NEW or USED",
"count": 1
}
]
}
],
"categoryCode": "COMPUTER",
"categoryNameOfSku": "Computer",
"imageUrl": "https://bucket.s3.amazonaws.com/image.jpg?X-Amz-Expires=86400",
"partNumber": "MZ-1234HG"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Prefix the value with "ApiKey" to indicate the custom authorization type
Path Parameters
The unique ID of the SKU to retrieve
Response
The requested SKU with pricing information
SKU's internal ID
"123E4567-E89B-12D3-A456-426614174000"
SKU's title
"MacBook Air 13\" M3 8-Core CPU 10-Core GPU 8GB RAM 512GB SSD - US / English - Space Gray - AU Plug"
SKU's vendor SKU value
"123E4567-E89B-12D3-A456-426614174000"
SKU's vendor's code
"APPLE"
Tells if the SKU is part of org's standard catalog
true
SKU's structured metadata
Show child attributes
Show child attributes
SKU's pricing details
Show child attributes
Show child attributes
List of regions where this product is available
Show child attributes
Show child attributes
The category code for this product
"COMPUTER"
The category name for this product
"Computer"
Presigned URL for the product image
"https://bucket.s3.amazonaws.com/image.jpg?X-Amz-Expires=86400"
SKU's part number
"MZ-1234HG"